diff --git a/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/local/jwmconfig2/theme_switcher b/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/local/jwmconfig2/theme_switcher
index a592f5e..25051e5 100755
--- a/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/local/jwmconfig2/theme_switcher
+++ b/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/local/jwmconfig2/theme_switcher
@@ -6,13 +6,13 @@
 #  <text><label>\"${CHARPAD}\"</label></text>
 
 ICONSETSGUI=""
-for ONETHEME in `find /root/.jwm/themes/ -mindepth 1 -maxdepth 1 -type f | grep 'jwmrc' | sed -e 's/-jwmrc//' | tr '\n' ' '`
+for ONETHEME in `find ${HOME}/.jwm/themes/ -mindepth 1 -maxdepth 1 -type f | grep 'jwmrc' | sed -e 's/-jwmrc//' | tr '\n' ' '`
 do
  ONETHEME="`basename $ONETHEME`"
  ICONSETSGUI="$ICONSETSGUI
  <hbox>
-  <pixmap><input file>/root/.jwm/themes/${ONETHEME}-tray.png</input></pixmap>
-  <pixmap><input file>/root/.jwm/themes/${ONETHEME}-window.png</input></pixmap>
+  <pixmap><input file>${HOME}/.jwm/themes/${ONETHEME}-tray.png</input></pixmap>
+  <pixmap><input file>${HOME}/.jwm/themes/${ONETHEME}-window.png</input></pixmap>
   <vbox>
    <pixmap><input file>/usr/local/lib/X11/pixmaps/invisible96x8.png</input></pixmap>
    <button><label>${ONETHEME}</label></button>
@@ -43,22 +43,22 @@ eval "$RETSTUFF"
 
 NEWTHEME="$EXIT"
 [ "$NEWTHEME" = "" ] && exit
-[ ! -f /root/.jwm/themes/${NEWTHEME}-jwmrc ] && exit
+[ ! -f ${HOME}/.jwm/themes/${NEWTHEME}-jwmrc ] && exit
 
 if [ "$NEWTHEME" != "" ];then
  #select chosen theme...
- cp -f /root/.jwm/themes/${NEWTHEME}-jwmrc /root/.jwm/jwmrc-theme
+ cp -f ${HOME}/.jwm/themes/${NEWTHEME}-jwmrc ${HOME}/.jwm/jwmrc-theme
  #set correct backgrounds for applets...
- cp -f /root/.jwm/themes/${NEWTHEME}-colors /root/.jwm/jwm_colors
- #...note, /root/.xinitrc reads this file to set background for absvolume.
+ cp -f ${HOME}/.jwm/themes/${NEWTHEME}-colors ${HOME}/.jwm/jwm_colors
+ #...note, ${HOME}/.xinitrc reads this file to set background for absvolume.
  #...note, jwm_colors is written to by /usr/local/jwmconfig2/gtk2jwm script
 
-. /root/.jwm/jwm_colors #gives MENU_BG, PAGER_BG
+. ${HOME}/.jwm/jwm_colors #gives MENU_BG, PAGER_BG
 
  #########
  #John Doe created code for the applet backgrounds, old jwmconfig, port here...
- TrayFile="/root/.jwmrc-tray"
- TrayFileBak="/root/.jwmrc-tray.bak"
+ TrayFile="${HOME}/.jwmrc-tray"
+ TrayFileBak="${HOME}/.jwmrc-tray.bak"
 
  BackgroundColor="$MENU_BG" #"#ffc100"
  [ "$BackgroundColor" = "" ] && BackgroundColor='#ffc100'
diff --git a/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/sbin/icon_switcher b/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/sbin/icon_switcher
index 1893edc..7bc8ed2 100755
--- a/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/sbin/icon_switcher
+++ b/puppy-unleashed/packages/jwm2-2.0.1-9-pup420/usr/sbin/icon_switcher
@@ -117,7 +117,7 @@ Click OK button and you will see them...\"</label></text>
 </window>"
  gtkdialog3 --program=ENDGUI
 
- rox -p=/root/Choices/ROX-Filer/PuppyPin
+ rox -p=${HOME}/Choices/ROX-Filer/PuppyPin
  fixwidgets &
  jwm -restart
 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/addShortcut b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/addShortcut
index e1f1ce1..39fa002 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/addShortcut
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/addShortcut
@@ -19,8 +19,8 @@ TMP1="/tmp/addmask.tmp.$$"
 TMP2="/tmp/maskkey.tmp.$$"
 MASKKEY=
 INSERT=/bindings/a\ 
-CONF_FILE=/root/.jwm/jwmrc-personal
-CONF_FILE2=/root/.jwm/jwmrc-personal2
+CONF_FILE=${HOME}/.jwm/jwmrc-personal
+CONF_FILE2=${HOME}/.jwm/jwmrc-personal2
 
 #-----------add shortcut------->
 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/changeKey b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/changeKey
index 4d2a10f..93588ba 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/changeKey
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/changeKey
@@ -24,7 +24,7 @@ M=
 MASK=`echo $KEY | grep -c mask`
 A=
 TMPFILE="/tmp/shortcut"
-#SCRIPT_DIR="/root/.jwm"
+#SCRIPT_DIR="${HOME}/.jwm"
 SCRIPT_DIR="/usr/local/jwmconfig"
 ID=
 
@@ -59,7 +59,7 @@ fi
 
 echo res $RES
 
-KEYLINE=`grep "$RES" /root/.jwm/jwmrc-personal`
+KEYLINE=`grep "$RES" ${HOME}/.jwm/jwmrc-personal`
 
 #xmessage -name "Current Details" -nearmouse "Current shortcut details:  $KEYLINE" &
    echo $KEYLINE
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/confirmKey b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/confirmKey
index 618f2b7..6ee2784 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/confirmKey
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/confirmKey
@@ -24,8 +24,8 @@ OLD=
 OLDFILE="/tmp/short"
 CHANGE_SED=
 DEL_SED=
-CONF_FILE=/root/.jwm/jwmrc-personal
-CONF_FILE2=/root/.jwm/jwmrc-personal2
+CONF_FILE=${HOME}/.jwm/jwmrc-personal
+CONF_FILE2=${HOME}/.jwm/jwmrc-personal2
 TEST=
 
 ##------confirmation--------->>
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/default b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/default
index 81380ac..143477a 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/default
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/default
@@ -16,8 +16,8 @@
 
 #--------variables---------->>
 
-CONFIG="/root/.jwm/jwmrc-personal"
-CONFSAVE="/root/.jwm/jwmrc-personal-save"
+CONFIG="${HOME}/.jwm/jwmrc-personal"
+CONFSAVE="${HOME}/.jwm/jwmrc-personal-save"
 
 CHOICE=default
 DEFAULT=
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/focusModel b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/focusModel
index 428cd2f..ad89826 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/focusModel
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/focusModel
@@ -6,9 +6,9 @@
 
 CLICK='<FocusModel>click</FocusModel>'
 SLOPPY='<FocusModel>sloppy</FocusModel>'
-CONFIG="/root/.jwm/jwmrc-personal"
-CONF="/root/.jwm/jwmrc-personal-temp"
-CONF2="/root/.jwm/jwmrc-personal-temp2"
+CONFIG="${HOME}/.jwm/jwmrc-personal"
+CONF="${HOME}/.jwm/jwmrc-personal-temp"
+CONF2="${HOME}/.jwm/jwmrc-personal-temp2"
 TMP="/tmp/inputbox.tmp.$$"
 
 CHOICE=click
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/gtk2jwm b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/gtk2jwm
index 9454b87..1c084b0 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/gtk2jwm
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/gtk2jwm
@@ -30,7 +30,7 @@
 
 GTKTHEME=/etc/gtk/gtkrc
 CURRENT=`cat /etc/gtk/current-theme`
-JWMTHEME=/root/.jwm/themes/jwm-default
+JWMTHEME=${HOME}/.jwm/themes/jwm-default
 
 MENU_BG=
 ACTIVE_BG=
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmConfigMgr b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmConfigMgr
index 38bb617..bd4dddd 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmConfigMgr
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmConfigMgr
@@ -36,9 +36,9 @@
 
 ##--------variables---------->>
 
-#SCRIPT_DIR="/root/.jwm"
+#SCRIPT_DIR="${HOME}/.jwm"
 SCRIPT_DIR="/usr/local/jwmconfig"
-#IMAGES_DIR="/root/.jwm/images"
+#IMAGES_DIR="${HOME}/.jwm/images"
 IMAGES_DIR="/usr/local/jwmconfig/images"
 MINI_ICONS_DIR="/usr/local/lib/X11/mini-icons"
 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmThemeSwitcher b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmThemeSwitcher
index befbc8b..e9fd0a8 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmThemeSwitcher
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/jwmThemeSwitcher
@@ -8,12 +8,12 @@
 
 
 ##---------------------variables-------------------->>
-THEMES=`cat /root/.jwm/themes/themeslist`
-FIN="/root/.jwmrc"
-FOUT="/root/.jwmrcNew"
+THEMES=`cat ${HOME}/.jwm/themes/themeslist`
+FIN="${HOME}/.jwmrc"
+FOUT="${HOME}/.jwmrcNew"
 INCTEST=0
 RETVAL=$?
-NOTHEMES=`grep -c jwm /root/.jwm/themes/themeslist`
+NOTHEMES=`grep -c jwm ${HOME}/.jwm/themes/themeslist`
 TEST=""
 FILETEST="empty"
 
@@ -36,9 +36,9 @@ esac
 
 ##-----------parse results and prep to write ------->>
 CHOICE=`cat /tmp/menu.tmp.$$`
-BGSCRIPT="/root/.jwm/themes/bg-$CHOICE"
+BGSCRIPT="${HOME}/.jwm/themes/bg-$CHOICE"
 
-INCTEST=`grep -c "<Include>/root/.jwm/themes*" $FIN`
+INCTEST=`grep -c "<Include>${HOME}/.jwm/themes*" $FIN`
 FULLINC="\<Include\>\/root\/\.jwm\/themes\/$CHOICE\<\/Include\>"
 SUB="/$PERSONALCFG/i\ "
 SUBINCLUDE=$SUB$FULLINC
@@ -59,7 +59,7 @@ fi
 #John Doe, comment out...
 #if [ "$CHOICE" = "jwm-default" ]; then
 #    #sed $SEDDEFAULT $FIN > $FOUT
-#    echo  > /root/.jwm/themes/jwm-default
+#    echo  > ${HOME}/.jwm/themes/jwm-default
 #fi
 
    if [ $INCTEST -eq 0 ]; then
@@ -70,7 +70,7 @@ fi
    fi
 
    ##---test config file ok--->>
-   TEST=`grep "<Include>/root/.jwm/themes*" $FOUT`
+   TEST=`grep "<Include>${HOME}/.jwm/themes*" $FOUT`
 
    if [ "$TEST" = "" ]; then
      Xdialog --title "Error" --infobox "There was an error writing your choice\nto the config file.\nPlease try again." 0 0 20000 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/keyboard b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/keyboard
index 5c7ac89..08ed151 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/keyboard
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/keyboard
@@ -15,7 +15,7 @@
 
 ##-------variables----------->>
 ##-------variables------->>
-HOME_DIR=/root/.jwm
+HOME_DIR=${HOME}/.jwm
 SCRIPT_DIR="/usr/local/jwmconfig"
 IMAGES_DIR="/usr/local/jwmconfig/images"
 MINI_ICONS_DIR="/usr/local/lib/X11/mini-icons"
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/listShortcuts b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/listShortcuts
index 75622a8..c468e33 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/listShortcuts
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/listShortcuts
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-HOME_DIR=/root/.jwm
+HOME_DIR=${HOME}/.jwm
 SCRIPT_DIR="/usr/local/jwmconfig"
 
 ##----lists shortcuts contained in the jwmrc-personal file---->>
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/panel-buttons b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/panel-buttons
index 20b681f..cc6a0e2 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/panel-buttons
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/panel-buttons
@@ -9,21 +9,21 @@
 #
 #####################################
 
-if [ "`ls /root/.jwmrc-tray-bak`" = "" ]; then
-cp /root/.jwmrc-tray /root/.jwmrc-tray-bak  ### makes .jwmrc-tray-bak backup file unless it already exists
+if [ "`ls ${HOME}/.jwmrc-tray-bak`" = "" ]; then
+cp ${HOME}/.jwmrc-tray ${HOME}/.jwmrc-tray-bak  ### makes .jwmrc-tray-bak backup file unless it already exists
 fi
-cat /root/.jwmrc-tray | sed '/^$/d' > /tmp/.jwmrc-tray  ### remove all blank lines in .jwmrc-tray
-mv /tmp/.jwmrc-tray /root/
+cat ${HOME}/.jwmrc-tray | sed '/^$/d' > /tmp/.jwmrc-tray  ### remove all blank lines in .jwmrc-tray
+mv /tmp/.jwmrc-tray ${HOME}/
 
-total=`wc -l /root/.jwmrc-tray | sed -e 's/ *//' | sed -e 's/ .*//g'` ### get total number of lines
-low=`grep '<TrayButton label="Menu"'  -n /root/.jwmrc-tray | sed -e 's/\:.*>//g'`  ### get line number with the Menu button
-high=`grep '<!-- Additional Pager attributes; width, height -->' -n /root/.jwmrc-tray | sed -e 's/\:.*>//g'` ### get line number with Additional Pager
+total=`wc -l ${HOME}/.jwmrc-tray | sed -e 's/ *//' | sed -e 's/ .*//g'` ### get total number of lines
+low=`grep '<TrayButton label="Menu"'  -n ${HOME}/.jwmrc-tray | sed -e 's/\:.*>//g'`  ### get line number with the Menu button
+high=`grep '<!-- Additional Pager attributes; width, height -->' -n ${HOME}/.jwmrc-tray | sed -e 's/\:.*>//g'` ### get line number with Additional Pager
 last=`echo "(("$total" - "$high" + 2))" | bc -l` 
 begin=`echo "(("$low" + 1))" | bc -l` ### first line with panel buttons
 #end=`echo "(("$high" - 1))" | bc -l` ### last line with panel buttons
 
-cat /root/.jwmrc-tray | head -n "$low" > /tmp/jwmrc-tray-1.txt
-cat /root/.jwmrc-tray | tail -n "$last" > /tmp/jwmrc-tray-3.txt
+cat ${HOME}/.jwmrc-tray | head -n "$low" > /tmp/jwmrc-tray-1.txt
+cat ${HOME}/.jwmrc-tray | tail -n "$last" > /tmp/jwmrc-tray-3.txt
 
 num=1
 
@@ -70,7 +70,7 @@ case $? in
     echo "Box closed.";;
 esac
 
-cp /root/.jwmrc-tray /root/.jwmrc-tray-bak
+cp ${HOME}/.jwmrc-tray ${HOME}/.jwmrc-tray-bak
 exit 0
 fi
 
@@ -82,11 +82,11 @@ if [ "$choice" = Edit ]; then
 
 while [ "$begin" != "$high" ]; do
 
-cat /root/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//' | sed -e 's/\".*//' | sed 's/^[ \t]*//' > /tmp/tmp-popup.txt  ### gets popup text
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//' | sed -e 's/\".*//' | sed 's/^[ \t]*//' > /tmp/tmp-popup.txt  ### gets popup text
 popup=`cat /tmp/tmp-popup.txt`
-cat /root/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//' | sed -e "s/$popup//" | sed -e 's/" icon="//' | sed -e 's/\".*//' | sed 's/^[ \t]*//' > /tmp/tmp-icon.txt  ### gets icon text
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//' | sed -e "s/$popup//" | sed -e 's/" icon="//' | sed -e 's/\".*//' | sed 's/^[ \t]*//' > /tmp/tmp-icon.txt  ### gets icon text
 icon=`cat /tmp/tmp-icon.txt`
-cat /root/.jwmrc-tray | sed -n ""$begin"p" | sed 's/\<.*\"//g' | sed -e 's/<\/TrayButton>//' | sed -e 's/<>//' | sed 's/^[ \t]*//' > /tmp/tmp-exec.txt  ### gets executable text
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" | sed 's/\<.*\"//g' | sed -e 's/<\/TrayButton>//' | sed -e 's/<>//' | sed 's/^[ \t]*//' > /tmp/tmp-exec.txt  ### gets executable text
 #action=`cat /tmp/tmp-exec.txt`
 
 ### This is the Edit gui
@@ -150,7 +150,7 @@ done
 
 cat /tmp/jwmrc-tray-2.txt >> /tmp/jwmrc-tray-1.txt
 cat /tmp/jwmrc-tray-3.txt >> /tmp/jwmrc-tray-1.txt
-mv /tmp/jwmrc-tray-1.txt /root/.jwmrc-tray
+mv /tmp/jwmrc-tray-1.txt ${HOME}/.jwmrc-tray
 
 rm -f /tmp/jwmrc-tray-*
 rm -f /tmp/tmp-popup*.txt
@@ -173,7 +173,7 @@ fi
 
 if [ "$choice" = Restore ]; then
 
-mv /root/.jwmrc-tray-bak /root/.jwmrc-tray
+mv ${HOME}/.jwmrc-tray-bak ${HOME}/.jwmrc-tray
 
 Xdialog --title "MESSAGE BOX" \
         --msgbox "Your original .jwmrc-tray
@@ -191,7 +191,7 @@ fi
 
 if [ "$choice" = Add ]; then
 while [ "$begin" != "$high" ]; do
-cat /root/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-panel.txt
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-panel.txt
 begin=`echo "(("$begin" + 1))" | bc -l`
 shift
 done
@@ -246,7 +246,7 @@ echo "$new_line" >> /tmp/jwmrc-tray-panel.txt
 
 cat /tmp/jwmrc-tray-panel.txt >> /tmp/jwmrc-tray-1.txt
 cat /tmp/jwmrc-tray-3.txt >> /tmp/jwmrc-tray-1.txt
-mv /tmp/jwmrc-tray-1.txt /root/.jwmrc-tray
+mv /tmp/jwmrc-tray-1.txt ${HOME}/.jwmrc-tray
 
 Xdialog --title "MESSAGE BOX" \
         --msgbox "Adding complete.
@@ -278,7 +278,7 @@ while [ "$begin" != "$high" ]; do
 
 Xdialog --backtitle "Remove panel buttons" \
 	--title "RADIOLIST BOX" \
-        --radiolist "Would you like to delete `cat /root/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//g' | sed -e 's/\".*//g' | sed 's/^[ \t]*//'`\n\
+        --radiolist "Would you like to delete `cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//g' | sed -e 's/\".*//g' | sed 's/^[ \t]*//'`\n\
 from the panel? If you want to delete it choose\n\
 yes, otherwise choose no." 26 46 5 \
         "no"    "no do not delete this button" ON \
@@ -298,7 +298,7 @@ case $retval in
 esac
 
 if [ "$choice" = no ]; then
-cat /root/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-1.txt
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-1.txt
 fi
 begin=`echo "(("$begin" + 1))" | bc -l`
 y=`echo "(("$y" + 1))" | bc -l`
@@ -307,7 +307,7 @@ shift
 done
 
 cat /tmp/jwmrc-tray-3.txt >> /tmp/jwmrc-tray-1.txt
-mv /tmp/jwmrc-tray-1.txt /root/.jwmrc-tray
+mv /tmp/jwmrc-tray-1.txt ${HOME}/.jwmrc-tray
 
 Xdialog --title "MESSAGE BOX" \
         --msgbox "Removing complete.
@@ -327,10 +327,10 @@ if [ "$choice" = Move ]; then
 y=1
 z=`echo "(("$high" - "$begin"))" | bc -l`
 while [ "$begin" != "$high" ]; do
-cat /root/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-panel-"$y".txt
+cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" >> /tmp/jwmrc-tray-panel-"$y".txt
 
 Xdialog --title "INPUT BOX" \
-        --inputbox "`cat /root/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//g' | sed -e 's/\".*//g' | sed 's/^[ \t]*//'` is button $y of your $z buttons.\n\
+        --inputbox "`cat ${HOME}/.jwmrc-tray | sed -n ""$begin"p" | sed -e 's/<TrayButton popup="//g' | sed -e 's/\".*//g' | sed 's/^[ \t]*//'` is button $y of your $z buttons.\n\
 \n\
 If you would like that button in another\n\
 position please enter the number below." 18 45 2> /tmp/inputbox.tmp.$$
@@ -405,7 +405,7 @@ done
 
 cat /tmp/jwmrc-tray-tmp-* >> /tmp/jwmrc-tray-1.txt
 cat /tmp/jwmrc-tray-3.txt >> /tmp/jwmrc-tray-1.txt
-mv /tmp/jwmrc-tray-1.txt /root/.jwmrc-tray
+mv /tmp/jwmrc-tray-1.txt ${HOME}/.jwmrc-tray
 
 Xdialog --title "MESSAGE BOX" \
         --msgbox "Moving complete.
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/personal b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/personal
index 53cc8a6..4c935cb 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/personal
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/personal
@@ -10,9 +10,9 @@
 
 ##--------variables-------->>
 
-#SCRIPT_DIR="/root/.jwm"
+#SCRIPT_DIR="${HOME}/.jwm"
 SCRIPT_DIR="/usr/local/jwmconfig"
-#IMAGES_DIR="/root/.jwm/images"
+#IMAGES_DIR="${HOME}/.jwm/images"
 IMAGES_DIR="/usr/local/jwmconfig/images"
 MINI_ICONS_DIR="/usr/local/lib/X11/mini-icons"
 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbar b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbar
index 6ab4f0b..da60361 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbar
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbar
@@ -3,9 +3,9 @@
 ##---taskbar config for jwmConfigMgr--->>
 
 ##-------variables------->>
-#SCRIPT_DIR="/root/.jwm"
+#SCRIPT_DIR="${HOME}/.jwm"
 SCRIPT_DIR="/usr/local/jwmconfig"
-#IMAGES_DIR="/root/.jwm/images"
+#IMAGES_DIR="${HOME}/.jwm/images"
 IMAGES_DIR="/usr/local/jwmconfig/images"
 MINI_ICONS_DIR="/usr/local/lib/X11/mini-icons"
 
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarConfig b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarConfig
index b809df3..1beea02 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarConfig
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarConfig
@@ -10,9 +10,9 @@
 TMP="/tmp/checklist.tmp.$$"
 ISSET="true"
 ISOFF="false"
-CONFIG="/root/.jwmrc-tray"
-CONFIG2="/root/.jwmrc-tray-bak"
-CONF="/root/.jwmrc-tray-temp"
+CONFIG="${HOME}/.jwmrc-tray"
+CONFIG2="${HOME}/.jwmrc-tray-bak"
+CONF="${HOME}/.jwmrc-tray-temp"
 
 #----Set defaults---->>
 AUTO_OFF=ON
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarHeight b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarHeight
index 1f24fd9..2bfe909 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarHeight
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarHeight
@@ -12,9 +12,9 @@ SHRT="18"
 NORM="26"
 TALL="34"
 XTTL="42"
-CONFIG="/root/.jwmrc-tray"
-CONFIG2="/root/.jwmrc-tray-bak"
-CONF="/root/.jwmrc-tray-temp"
+CONFIG="${HOME}/.jwmrc-tray"
+CONFIG2="${HOME}/.jwmrc-tray-bak"
+CONF="${HOME}/.jwmrc-tray-temp"
 
 #----Set defaults---->>
 IS_SHRT=off
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarPlace b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarPlace
index 8087894..a4e1e4c 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarPlace
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/taskbarPlace
@@ -10,9 +10,9 @@
 TMP="/tmp/checklist.tmp.$$"
 TOP="0"
 BTM="-1"
-CONFIG="/root/.jwmrc-tray"
-CONFIG2="/root/.jwmrc-tray-bak"
-CONF="/root/.jwmrc-tray-temp"
+CONFIG="${HOME}/.jwmrc-tray"
+CONFIG2="${HOME}/.jwmrc-tray-bak"
+CONF="${HOME}/.jwmrc-tray-temp"
 
 #----Set defaults---->>
 AT_BTM=ON
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/trayInsert b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/trayInsert
index 0c5bf29..2bcfc4d 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/trayInsert
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/trayInsert
@@ -20,9 +20,9 @@
 ##-----taskbarConfig----->>
 
 TMP="/tmp/checklist.tmp.$$"
-CONFIG="/root/.jwm/jwmrc-personal"
-CONFIG2="/root/.jwm/jwmrc-personal-bak"
-CONF="/root/.jwm/jwmrc-personal-temp"
+CONFIG="${HOME}/.jwm/jwmrc-personal"
+CONFIG2="${HOME}/.jwm/jwmrc-personal-bak"
+CONF="${HOME}/.jwm/jwmrc-personal-temp"
 DCL="<TaskListStyle insert=\"left\"/>"
 DCR="<TaskListStyle insert=\"right\"/>"
 DCO="<TaskListStyle insert="
diff --git a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/virtualDesk b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/virtualDesk
index cbfe717..2fc6225 100755
--- a/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/virtualDesk
+++ b/puppy-unleashed/packages/jwmconfig-18jan08/usr/local/jwmconfig/virtualDesk
@@ -9,9 +9,9 @@
 MINTOPS=1
 MAXTOPS=8
 DC="<Desktops count=\"[0-9][0-9]*\"/>"
-CONFIG="/root/.jwm/jwmrc-personal"
-CONFIG2="/root/.jwm/jwmrc-personal-bak"
-CONF="/root/.jwm/jwmrc-personal-temp"
+CONFIG="${HOME}/.jwm/jwmrc-personal"
+CONFIG2="${HOME}/.jwm/jwmrc-personal-bak"
+CONF="${HOME}/.jwm/jwmrc-personal-temp"
 TMP="/tmp/inputbox.tmp.$$"
 
 #-----Backup current settings----->>
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/addShortcut b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/addShortcut
index e1f1ce1..39fa002 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/addShortcut
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/addShortcut
@@ -19,8 +19,8 @@ TMP1="/tmp/addmask.tmp.$$"
 TMP2="/tmp/maskkey.tmp.$$"
 MASKKEY=
 INSERT=/bindings/a\ 
-CONF_FILE=/root/.jwm/jwmrc-personal
-CONF_FILE2=/root/.jwm/jwmrc-personal2
+CONF_FILE=${HOME}/.jwm/jwmrc-personal
+CONF_FILE2=${HOME}/.jwm/jwmrc-personal2
 
 #-----------add shortcut------->
 
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/changeKey b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/changeKey
index 4d2a10f..93588ba 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/changeKey
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/changeKey
@@ -24,7 +24,7 @@ M=
 MASK=`echo $KEY | grep -c mask`
 A=
 TMPFILE="/tmp/shortcut"
-#SCRIPT_DIR="/root/.jwm"
+#SCRIPT_DIR="${HOME}/.jwm"
 SCRIPT_DIR="/usr/local/jwmconfig"
 ID=
 
@@ -59,7 +59,7 @@ fi
 
 echo res $RES
 
-KEYLINE=`grep "$RES" /root/.jwm/jwmrc-personal`
+KEYLINE=`grep "$RES" ${HOME}/.jwm/jwmrc-personal`
 
 #xmessage -name "Current Details" -nearmouse "Current shortcut details:  $KEYLINE" &
    echo $KEYLINE
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/confirmKey b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/confirmKey
index 618f2b7..6ee2784 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/confirmKey
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/confirmKey
@@ -24,8 +24,8 @@ OLD=
 OLDFILE="/tmp/short"
 CHANGE_SED=
 DEL_SED=
-CONF_FILE=/root/.jwm/jwmrc-personal
-CONF_FILE2=/root/.jwm/jwmrc-personal2
+CONF_FILE=${HOME}/.jwm/jwmrc-personal
+CONF_FILE2=${HOME}/.jwm/jwmrc-personal2
 TEST=
 
 ##------confirmation--------->>
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/focusModel b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/focusModel
index 428cd2f..ad89826 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/focusModel
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/focusModel
@@ -6,9 +6,9 @@
 
 CLICK='<FocusModel>click</FocusModel>'
 SLOPPY='<FocusModel>sloppy</FocusModel>'
-CONFIG="/root/.jwm/jwmrc-personal"
-CONF="/root/.jwm/jwmrc-personal-temp"
-CONF2="/root/.jwm/jwmrc-personal-temp2"
+CONFIG="${HOME}/.jwm/jwmrc-personal"
+CONF="${HOME}/.jwm/jwmrc-personal-temp"
+CONF2="${HOME}/.jwm/jwmrc-personal-temp2"
 TMP="/tmp/inputbox.tmp.$$"
 
 CHOICE=click
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/gtk2jwm b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/gtk2jwm
index bf786ee..414422e 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/gtk2jwm
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/gtk2jwm
@@ -19,10 +19,10 @@
 
 ##-------------variables---------------->>
 		
-GTKTHEME=`fgrep 'include' /root/.gtkrc-2.0 | fgrep '/usr/share/themes/' | grep -v '^#' | fgrep -m1 'gtkrc' | tr -d "'" | tr -d '"' | sed 's/include //' | tr -d '\t' | tr -d ' '`
+GTKTHEME=`fgrep 'include' ${HOME}/.gtkrc-2.0 | fgrep '/usr/share/themes/' | grep -v '^#' | fgrep -m1 'gtkrc' | tr -d "'" | tr -d '"' | sed 's/include //' | tr -d '\t' | tr -d ' '`
 [ ! -e $GTKTHEME ] && exit 1 
 
-JWMTHEME=/root/.jwm/jwmrc-theme
+JWMTHEME=${HOME}/.jwm/jwmrc-theme
 
 MENU_BG=
 ACTIVE_BG=
@@ -39,14 +39,14 @@ PAGER_BG=`grep -v "^#" $GTKTHEME | grep -m1 '\Wbg\[ACTIVE\]' | cut -d'"' -f2`
 FG_SELECTED=`grep -v "^#" $GTKTHEME | grep -m1 '\Wfg\[SELECTED\]' | cut -d'"' -f2`
 
 #save them...
-echo '#This is written to by /usr/local/jwmconfig2/gtk2jwm script' > /root/.jwm/jwm_colors
-echo "MENU_BG='${MENU_BG}'" >> /root/.jwm/jwm_colors
-echo "ACTIVE_BG='${ACTIVE_BG}'" >> /root/.jwm/jwm_colors
-echo "FOREGROUND='${FOREGROUND}'" >> /root/.jwm/jwm_colors
-echo "PAGER_BG='${PAGER_BG}'" >> /root/.jwm/jwm_colors
-echo "FG_SELECTED='${FG_SELECTED}'" >> /root/.jwm/jwm_colors
-
-rm -f /root/.tcl-gtk 
+echo '#This is written to by /usr/local/jwmconfig2/gtk2jwm script' > ${HOME}/.jwm/jwm_colors
+echo "MENU_BG='${MENU_BG}'" >> ${HOME}/.jwm/jwm_colors
+echo "ACTIVE_BG='${ACTIVE_BG}'" >> ${HOME}/.jwm/jwm_colors
+echo "FOREGROUND='${FOREGROUND}'" >> ${HOME}/.jwm/jwm_colors
+echo "PAGER_BG='${PAGER_BG}'" >> ${HOME}/.jwm/jwm_colors
+echo "FG_SELECTED='${FG_SELECTED}'" >> ${HOME}/.jwm/jwm_colors
+
+rm -f ${HOME}/.tcl-gtk 
 if [ -z "$MENU_BG" ]; then
  echo > "$JWMTHEME"
  pidof jwm >/dev/null && jwm -restart
@@ -54,11 +54,11 @@ if [ -z "$MENU_BG" ]; then
 else 
  # set variables for tcl/tk apps:
  ## need to make sure they're not blank
- [ "$MENU_BG" ] && echo  "bg_normal=$MENU_BG" >>/root/.tcl-gtk
- [ "$ACTIVE_BG" ] && echo  "bg_selected=$ACTIVE_BG" >>/root/.tcl-gtk
- [ "$PAGER_BG" ] && echo  "bg_active=$PAGER_BG" >>/root/.tcl-gtk
- [ "$FOREGROUND" ] && echo  "fg_normal=$FOREGROUND" >>/root/.tcl-gtk
- [ "$FG_SELECTED" ] && echo  "fg_selected=$FG_SELECTED" >>/root/.tcl-gtk
+ [ "$MENU_BG" ] && echo  "bg_normal=$MENU_BG" >>${HOME}/.tcl-gtk
+ [ "$ACTIVE_BG" ] && echo  "bg_selected=$ACTIVE_BG" >>${HOME}/.tcl-gtk
+ [ "$PAGER_BG" ] && echo  "bg_active=$PAGER_BG" >>${HOME}/.tcl-gtk
+ [ "$FOREGROUND" ] && echo  "fg_normal=$FOREGROUND" >>${HOME}/.tcl-gtk
+ [ "$FG_SELECTED" ] && echo  "fg_selected=$FG_SELECTED" >>${HOME}/.tcl-gtk
  
   # create gradient colours:
   DIFF="16#20"
@@ -153,8 +153,8 @@ echo "$DEFAULT" > "$JWMTHEME"
 
 #########
 #John Doe created code for the applet backgrounds, old jwmconfig, port here...
-TrayFile="/root/.jwmrc-tray"
-TrayFileBak="/root/.jwmrc-tray.bak"
+TrayFile="${HOME}/.jwmrc-tray"
+TrayFileBak="${HOME}/.jwmrc-tray.bak"
 
 BackgroundColor="$MENU_BG" #"#ffc100"
 
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/jwmConfigMgr b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/jwmConfigMgr
index 720ff19..c507b7d 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/jwmConfigMgr
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/jwmConfigMgr
@@ -5,7 +5,7 @@
 ##--------variables---------->>
 SCRIPT_DIR="/usr/local/jwmconfig2"
 MINI_ICONS_DIR="/usr/local/lib/X11/mini-icons"
-HOME_DIR="/root/.jwm"
+HOME_DIR="${HOME}/.jwm"
 echo "SCRIPT_DIR='${SCRIPT_DIR}'" > /tmp/JWMCONFIGVARS
 echo "MINI_ICONS_DIR='${MINI_ICONS_DIR}'" >> /tmp/JWMCONFIGVARS
 echo "HOME_DIR='${HOME_DIR}'" >> /tmp/JWMCONFIGVARS
diff --git a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/listShortcuts b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/listShortcuts
index 75622a8..c468e33 100755
--- a/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/listShortcuts
+++ b/puppy-unleashed/packages/jwmconfig2-20080411/usr/local/jwmconfig2/listShortcuts
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-HOME_DIR=/root/.jwm
+HOME_DIR=${HOME}/.jwm
 SCRIPT_DIR="/usr/local/jwmconfig"
 
 ##----lists shortcuts contained in the jwmrc-personal file---->>
